import { html as n } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as m } from "./PieIconComponent.js";
import { safeCustomElement as g } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, h = Object.getOwnPropertyDescriptor, a = (p, r, s, t) => {
  for (var e = t > 1 ? void 0 : t ? h(r, s) : r, i = p.length - 1, c; i >= 0; i--)
    (c = p[i]) && (e = (t ? c(r, s, e) : c(e)) || e);
  return t && e && f(r, s, e), e;
};
let o = class extends m {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--moreVerticalLarge", this.class = "c-pieIcon c-pieIcon--moreVerticalLarge", this.name = "IconMoreVerticalLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--moreVerticalLarge"><path d="M17.969 7.688a1.969 1.969 0 1 1-3.938 0 1.969 1.969 0 0 1 3.938 0ZM16 14.03a1.97 1.97 0 1 0 0 3.938 1.97 1.97 0 0 0 0-3.938Zm0 8.313a1.969 1.969 0 1 0 0 3.938 1.969 1.969 0 0 0 0-3.938Z"></path></svg>`;
  }
};
a([
  l({ type: String, reflect: !0 })
], o.prototype, "size", 2);
a([
  l({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = a([
  g("icon-more-vertical-large")
], o);
export {
  o as IconMoreVerticalLarge
};
